@import url("https://fonts.googleapis.com/css2?family=Lato&display=swap");

* {
  margin: 0;
  padding: 0;
}

body {
  background: #f6f6f6;
  font-family: 'Lato', sans-serif;
}

.ellipse-container {
  position: relative;
  width: 100%;
  height: 360px;
  margin-top: -150px;
}

.ellipse {
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 0 0 90% 90%;
  background-color: #EEA9A9;
  filter: blur(40px);
  z-index: 1;
}

.titulo-carrinho {
  font-size: 35px;
  padding: 220px;
  text-align: center;
  position: relative;
  z-index: 2;
  color: #000000;
}

.voltar {
  margin-top: -260px;
  margin-left: 100px;
  align-items: start;
  position: relative;
  z-index: 2;
}

body>main {
  background: transparent;
  padding: 0 100px 30px;
}

body>main .conteudo-carrinho {
  display: flex;
  margin-top: 100px;
}

body>main .conteudo-carrinho section {
  flex: 1;
}

body>main .conteudo-carrinho aside {
  min-width: 250px;
}

button {
  cursor: pointer;
  font-family: 'Lato', sans-serif;
}

table {
  width: 100%;
  border-collapse: collapse;
}

table thead tr {
  border-bottom: 3px solid #eee;
}

table thead tr th {
  text-align: left;
  padding-bottom: 10px;
  text-transform: uppercase;
  color: #666;
}

table tbody tr {
  border-bottom: 3px solid #eee;
}

table tbody tr:last-child {
  border: 0;
}

table tbody tr td {
  padding: 40px 0;
}

.produto-carrinho {
  display: flex;
  align-items: center;
}

.produto-carrinho img {
  border-radius: 6px;
}

.produto-carrinho .info-produto {
  margin-left: 20px;
}

.produto-carrinho .info-produto .nome-produto {
  font-size: 20px;
  margin-bottom: 10px;
}

.produto-carrinho .info-produto .categoria-produto {
  color: #666;
}

.quantidade {
  background: #eee;
  display: inline-flex;
  justify-content: space-around;
  align-items: center;
  min-width: 60px;
  border-radius: 20px;
  overflow: hidden;
  height: 30px;
}

.quantidade .numero-quantidade {
  margin: 0 10px;
}

.quantidade .btn-diminuir,
.quantidade .btn-aumentar {
  display: flex;
  align-items: center;
  background: transparent;
  border: 0;
  padding: 0 10px;
  font-size: 20px;
  height: 100%;
}

.quantidade .btn-diminuir:hover,
.quantidade .btn-aumentar:hover {
  background: #ddd;
}

.btn-remover {
  background: #eee;
  border: 0;
  width: 80px;
  height: 30px;
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
}

.btn-remover:hover {
  background: #ddd;
}

aside {
  margin-left: 30px;
}

.caixa-resumo {
  margin-bottom: 15px;
  border: 1px solid #ccc;
  background: #eee;
  color: #222;
}

.caixa-resumo header {
  padding: 15px 20px;
  font-size: 18px;
  text-align: center;
}

.caixa-resumo .informacoes-resumo {
  padding: 20px;
  font-size: 16px;
}

.caixa-resumo .informacoes-resumo>div {
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
  color: #555;
}

.caixa-resumo .informacoes-resumo>div:last-child {
  margin: 0;
}

.caixa-resumo footer {
  padding: 15px 20px;
  background: #ddd;
  font-size: 18px;
  display: flex;
  justify-content: space-between;
}

aside>.btn-finalizar {
  border: 0;
  padding: 15px 0;
  color: white;
  background: #EB8A8A;
  display: block;
  width: 100%;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 16px;
  border-radius: 30px;
}

aside>.btn-finalizar:hover {
  background: #fa7a7a;
}

a {
  text-decoration: none;
  color: white;
}

@media (max-width: 1230px) {
  .conteudo-carrinho {
    flex-direction: column;
  }

  aside {
    width: 100%;
    margin-top: 40px;
  }

  .tabela-carrinho {
    width: 100%;
  }
}

@media (max-width: 1000px) {
  .conteudo-carrinho {
    flex-direction: column;
  }

  body>main {
    padding: 0;
  }

  aside {
    width: 90%;
    margin-top: 40px;
  }

  .tabela-carrinho td,
  .tabela-carrinho th {
    padding: 10px;
  }

  .nav_2 {
    display: none;
  }

  .menu_button {
    display: block;
  }
}